#!/usr/bin/env python3
import json
import sys
from jsonschema import validate

schema = {
    "type": "object",
    "properties": {"login": {"type": "string"}, "role": {"enum": ["user"]}},
}


def display(file_name):
    with open(file_name) as file:
        text = json.load(file)
        validate(instance=text, schema=schema)
        print(text)


if __name__ == "__main__":
    if len(sys.argv) == 2:
        display(sys.argv[1])
